# pydicom.valuerep.DSfloat

class pydicom.valuerep.DSfloat(val: Union[None, str, int, float, decimal.Decimal], auto_format: bool = False)

  Store value for an element with VR DS as `float`.

  If constructed from an empty string, return the empty string, not an instance of this class.

  Parameters

    - val (Union[str, int, float, Decimal]) – Value to store as a DS.

    - auto_format (bool) – If True, automatically format the string representation of this number to ensure it satisfies the constraints in the DICOM standard. Note that this will lead to loss of precision for some numbers.

  __init__(val: Union[str, int, float, decimal.Decimal], auto_format: bool = False) → None

    Store the original string if one given, for exact write-out of same value later.

  Methods

  `__init__`(val[, auto_format]) | Store the original string if one given, for exact write-out of same value later.
  `as_integer_ratio`() | Return integer ratio.
  `conjugate`() | Return self, the complex conjugate of any float.
  `fromhex`() | Create a floating-point number from a hexadecimal string.
  `hex`() | Return a hexadecimal representation of a floating-point number.
  `is_integer`() | Return True if the float is an integer.

  Attributes

  `imag` | the imaginary part of a complex number
  `real` | the real part of a complex number
  `auto_format` |